#!/bin/bash
########################################
blastDBp="/scr/k10/genomes/EnsEMBL42";##
########################################
## *.log files are useful to automatically select/combine several ncbi-formated DBs; .log is then removed from the obtained list to get the DB names
DBpattern="*.dna_rm.*.log";##
#############################
curDir=`pwd`;
rprotDir="../proteins";
rresDir="./tblastn";
#orgDir="homo_sapiens";
orgDirs="_"; ### can be space separated list in quotes
ensgFile="ENSG";
evCut="1e-5";
addP="";
if [ ! "$1" == "" ] ; then
ensgFile="$1";
else
echo -n -e "Usage (defaults in []): $0 infoFileFilter[${ensgFile}] (orgDirs[${orgDirs}]) (refProtDir[${rprotDir}]) (blastResultDir[${rresDir}]) (evalueCutOff[${evCut}]) (addParam)\n";
exit 1;
fi;
if [ ! "$2" == "" ] ; then
orgDirs="$2";
if [ ! "$3" == "" ] ; then
rprotDir="$3";
if [ ! "$4" == "" ] ; then
rresDir="$4";
if [ ! "$5" == "" ] ; then
evCut="$5";
if [ ! "$6" == "" ] ; then
addP="$6";
fi;
fi;
fi;
fi;
fi;
cd ${rprotDir} || exit 1;
protDir=`pwd`;
cd ${curDir};
cd ${rresDir} || exit 1;
resDir=`pwd`;
cd ${curDir};
#############
orgLi="";
for myo in `echo -n -e "${orgDirs}"`; 
do
curOrgLi=`ls -d ${blastDBp}/*${myo}*/ | perl -F'/' -ane 'print($F[-2], "\n");'`;
orgLi=`echo -n -e "${orgLi}\n${curOrgLi}"`;
done;
orgList=`echo "${orgLi}" | perl -e 'while(<>) {chomp; $Org{$_}++; } foreach $a (keys %Org) { print($a, "\n");} '`;
##
for myorg in `echo ${orgList}`; do
echo ${myorg}; 
for j in `ls -d ${blastDBp}/*${myorg}*/`; do 
myOrgN=`echo $j | perl -F'/' -ane 'print(ucfirst(\$F[-2]), "\n");'`; 
echo $myOrgN;
for i in `ls ${ensgFile}*.info` ; do 
echo ${i}; 
doBlasterei.pl ${addP} -c${evCut} -d ${myOrgN} -s${j}/${DBpattern} -e${protDir} -r${resDir} ${i};
done;
done;
done;
